package com.goldenwater.slgc.service.pms;

import com.goldenwater.slgc.entity.pms.PmsPhase;
import java.util.List;

public interface IPmsPhaseService {
    /**
     * 查询阶段列表
     */
    List<PmsPhase> selectList(PmsPhase phase);

    /**
     * 根据主键查询阶段
     */
    PmsPhase selectById(Long id);

    /**
     * 新增阶段
     */
    int insert(PmsPhase phase);

    /**
     * 修改阶段
     */
    int update(PmsPhase phase);

    /**
     * 删除阶段
     */
    int deleteById(Long id);

    /**
     * 批量删除阶段
     */
    int deleteByIds(Long[] ids);

    /**
     * 根据项目ID查询阶段列表
     */
    List<PmsPhase> selectByPrjId(Long prjId);
}
